<div class="tyre">
	<mat-form-field appearance="standard" class="search">
		<!-- <mat-label>Filter</mat-label> -->
		<i class="top-navigation__search-icon fas fa-search"></i>
		<input matInput (keyup)="applyFilter($event)" placeholder="Search..." #input>
	</mat-form-field>
	<!-- <input type="file" (change)="onFileChange($event)" multiple="false" /> -->

	<!-- <div class="top-navigation__search">
		
		<input class="top-navigation__search-input" placeholder="Search..."/>
	  </div> -->
	<div class="mat-elevation-z8 table-data">
		<table mat-table [dataSource]="dataSource" matSort>

			<ng-container matColumnDef="description">
				<th mat-header-cell *matHeaderCellDef mat-sort-header> DESCRIPTION </th>
				<td mat-cell *matCellDef="let row"> {{row.description}} </td>
			</ng-container>

			<ng-container matColumnDef="stockQuantity">
				<th mat-header-cell *matHeaderCellDef mat-sort-header> STOCK QUANTITY </th>
				<td class="td-qua"
				 mat-cell *matCellDef="let row"> {{row.stockQuantity}} </td>
			</ng-container>


			<ng-container matColumnDef="unitPrice">
				<th mat-header-cell *matHeaderCellDef mat-sort-header> UNIT PRICE </th>
				<td class="td-qua"
				 mat-cell *matCellDef="let row"> {{row.unitPrice}} $ </td>
			</ng-container>


			<ng-container matColumnDef="action">
				<th mat-header-cell *matHeaderCellDef> Action </th>
				<td mat-cell *matCellDef="let element" class="action-link">
					<button mat-icon-button matTooltip="Click to Edit" class="iconbutton" color="primary"
						(click)="openDialog('Update stock',element)">
						<mat-icon>edit</mat-icon>
					</button>
					|
					<button mat-icon-button matTooltip="Click to Edit" class="iconbutton" color="warn"
						(click)="openDialog('Delete',element)">
						<mat-icon>delete</mat-icon>
					</button>
				</td>
			</ng-container>

			

			<tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
			<tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>

			<!-- Row shown when there is no matching data. -->
			<tr class="mat-row" *matNoDataRow>
				<td class="mat-cell" colspan="4">No data matching the filter "{{input.value}}"</td>
			</tr>
		</table>

		<mat-paginator [pageSizeOptions]="[8, 15, 30, 100]"></mat-paginator>
	</div>
	<div class="basic-container">

		<div class="upload-header">
			Upload Data :
		</div>
		<mat-form-field class="upload-opt" floatPlaceholder="never">
			<input [hidden]="true" (change)="onFileChange($event)" type="file" accept="all/*" #fileSelect>
			<input readonly matInput [(ngModel)]="filename" placeholder="Select file..." />
			<button *ngIf="this.base64File" (click)="this.base64File = null; this.filename = null" matSuffix
				matTooltip="Remove selected file" [matTooltipPosition]="'above'" type="button" color="warn"
				mat-icon-button>
				<mat-icon>close</mat-icon>
			</button>
			<button matSuffix mat-icon-button (click)="fileSelect.click();" matTooltip="Select a file"
				[matTooltipPosition]="'above'">
				<mat-icon>file_upload</mat-icon>
			</button>
		</mat-form-field>

		<button [disabled]="!filename" mat-raised-button color="primary" (click)="Conform()">Confirm</button>
		<!-- <button mat-raised-button color="primary">Export</button> -->
	</div>
	<!-- <ngx-spinner bdColor = "rgba(0, 0, 0, 0.8)" size = "medium" color = "#fff" type = "timer" [fullScreen] = "true"><p style="color: white" > Loading... </p></ngx-spinner> -->



</div>